> ## Documentation Index
> Fetch the complete documentation index at: https://docs.millis.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Import Phone Number



## OpenAPI

````yaml post /phones/import
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api-west.millis.ai
    description: US Region API Gateway
  - url: https://api-eu-west.millis.ai
    description: EU Region API Gateway
security: []
paths:
  /phones/import:
    post:
      tags:
        - Phones
        - Phones
      summary: Import Phone Number
      operationId: import_phone_number_phones_import_post
      parameters:
        - name: authorization
          in: header
          required: true
          schema:
            type: string
            title: Authorization
      requestBody:
        required: true
        content:
          application/json:
            schema:
              anyOf:
                - $ref: '#/components/schemas/ImportVonageRequest'
                - $ref: '#/components/schemas/ImportTwilioRequest'
                - $ref: '#/components/schemas/ImportPlivoRequest'
                - $ref: '#/components/schemas/ImportExotelRequest'
                - $ref: '#/components/schemas/ImportTelnyxRequest'
              title: Data
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ImportVonageRequest:
      properties:
        country:
          type: string
          title: Country
        provider:
          type: string
          title: Provider
          default: vonage
        phone:
          type: string
          title: Phone
        region:
          type: string
          title: Region
        api_key:
          type: string
          title: Api Key
        api_secret:
          type: string
          title: Api Secret
        app_id:
          anyOf:
            - type: string
            - type: 'null'
          title: App Id
      type: object
      required:
        - country
        - phone
        - region
        - api_key
        - api_secret
      title: ImportVonageRequest
    ImportTwilioRequest:
      properties:
        country:
          type: string
          title: Country
        provider:
          type: string
          title: Provider
          default: twilio
        phone:
          type: string
          title: Phone
        region:
          type: string
          title: Region
        api_key:
          type: string
          title: Api Key
        api_secret:
          type: string
          title: Api Secret
        account_sid:
          type: string
          title: Account Sid
      type: object
      required:
        - country
        - phone
        - region
        - api_key
        - api_secret
        - account_sid
      title: ImportTwilioRequest
    ImportPlivoRequest:
      properties:
        country:
          type: string
          title: Country
        provider:
          type: string
          title: Provider
          default: plivo
        phone:
          type: string
          title: Phone
        region:
          type: string
          title: Region
        auth_id:
          type: string
          title: Auth Id
        auth_token:
          type: string
          title: Auth Token
      type: object
      required:
        - country
        - phone
        - region
        - auth_id
        - auth_token
      title: ImportPlivoRequest
    ImportExotelRequest:
      properties:
        country:
          type: string
          title: Country
        provider:
          type: string
          title: Provider
          default: exotel
        phone:
          type: string
          title: Phone
        region:
          type: string
          title: Region
        api_key:
          type: string
          title: Api Key
        api_token:
          type: string
          title: Api Token
        sid:
          type: string
          title: Sid
        subdomain:
          type: string
          title: Subdomain
        app_id:
          anyOf:
            - type: string
            - type: 'null'
          title: App Id
      type: object
      required:
        - country
        - phone
        - region
        - api_key
        - api_token
        - sid
        - subdomain
      title: ImportExotelRequest
    ImportTelnyxRequest:
      properties:
        country:
          type: string
          title: Country
        provider:
          type: string
          title: Provider
          default: telnyx
        phone:
          type: string
          title: Phone
        region:
          type: string
          title: Region
        api_key:
          type: string
          title: Api Key
      type: object
      required:
        - country
        - phone
        - region
        - api_key
      title: ImportTelnyxRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````